Sonar Deep Research

Chat Completions API
sonar-deep-research
отPerplexityСоздана 25 мая 2025 г.125K контекст
Chat Completions API

Sonar Deep Research is a research-focused model from Perplexity, engineered for multi-step retrieval, synthesis, and reasoning across complex topics. It autonomously searches, reads, and evaluates sources, refining its approach as it gathers information. This enables comprehensive report generation in domains like finance, technology, health, and current events. The model’s pricing is based on prompt tokens, citation tokens, and the number of searches and reasoning tokens used during its extensive research phase.

API-методы и структура запроса

Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.

Chat Completions APIPOST/v1/chat/completions

Пример кода

Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.

Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  --data-raw '{
  "model": "sonar-deep-research",
  "messages": [
    {
      "role": "user",
      "content": "Сколько будет 2 + 2?"
    }
  ]
}'

Параметры

Параметры, доступные в API-запросах
Frequency PenaltyMax Completion TokensPresence PenaltyResponse FormatStopTemperatureTop P